package com.ics.admin.service.meeting;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ics.admin.domain.meeting.ShowroomRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ics.admin.domain.meeting.ShowroomRecordDTO;

import java.util.List;

/**
 * 展厅预约记录Service接口
 * 
 * @author ics
 * @date 2024-03-12
 */
public interface IShowroomRecordService extends IService<ShowroomRecord> {
    /**
     * 查询展厅预约记录
     * 
     * @param id 展厅预约记录ID
     * @return 展厅预约记录
     */
    ShowroomRecord selectShowroomRecordById(Long id);

    /**
     * 查询展厅预约记录列表
     * 
     * @param showroomRecord 展厅预约记录
     * @return 展厅预约记录集合
     */
    List<ShowroomRecord> selectShowroomRecordList(ShowroomRecord showroomRecord);

    /**
     * 新增展厅预约记录
     * 
     * @param showroomRecord 展厅预约记录
     * @return 结果
     */
    int insertShowroomRecord(ShowroomRecord showroomRecord);

    /**
     * 修改展厅预约记录
     * 
     * @param showroomRecord 展厅预约记录
     * @return 结果
     */
    int updateShowroomRecord(ShowroomRecord showroomRecord);

    /**
     * 批量删除展厅预约记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteShowroomRecordByIds(String ids);

    /**
     * 删除展厅预约记录信息
     * 
     * @param id 展厅预约记录ID
     * @return 结果
     */
    int deleteShowroomRecordById(Long id);

    List<ShowroomRecordDTO> appointmentRecord(ShowroomRecord showroomRecord);

    boolean selectFreeMeetingRoom(ShowroomRecord showroomRecord);

    IPage<ShowroomRecord> selectShowroomRecord(ShowroomRecord showroomRecord,Integer pageNum,Integer pageSize);
}
